# Interface IAnalyticsActionCause

The IAnalyticsActionCause interface describes the cause of an event for the analytics service.

See the Analytics component

## Index

### Properties

- name
- type

## Properties

### name

name: string

- Defined in ui/Analytics/AnalyticsActionListMeta.ts :14

Specifies the name of the event. While you can actually set this property to any arbitrary string value, its value should uniquely identify the precise action that triggers the event. Thus, each individual event should have its own unique `name` value.

Example: `searchBoxSubmit`, `resultSort`, etc.

### type

type: string

- Defined in ui/Analytics/AnalyticsActionListMeta.ts :23

Specifies the type of the event. While you can actually set this property to any arbitrary string value, it should describe the general category of the event. Thus, more than one event can have the same `type` value, which makes it possible to group events with identical types when doing reporting.

Example: All search box related events could have `searchbox` as their `type` value.

### Hierarchy

- IAnalyticsActionCause